<?php
ini_set("session.use_trans_sid", 1);
ini_set("display_errors",false);
error_reporting(E_ALL);
date_default_timezone_set('Europe/Berlin');
require("10000_v2.php");
session_start();
#include("debug.php");
$VERSION="2.3";
if (isset($_GET['reset']) and $_GET['reset'] == true) {
  session_destroy();
  session_start();
}

// // debug Toogle Link
//   if(!isset($_SESSION['debug'])) {
//     $_SESSION['debug'] = 0;
//   }
//   if (isset($_GET['debug'])) $_SESSION['debug'] = $_GET['debug'];
//   $link = $_SESSION['debug'] == 0 ? 1 : 0  ;
// //

// Zusatzmenu Toogle Link
  if(!isset($_SESSION['zmenue'])) {
    $_SESSION['zmenue'] = 0;
  }
  if (isset($_GET['zmenue'])) $_SESSION['zmenue'] = $_GET['zmenue'];
  $zmenue = $_SESSION['zmenue'] == 0 ? 1 : 0  ;
//


if (!isset($_SESSION['ZT'])) { # Ist das Objekt vorhanden?
  $spiel = new ZehnTausend();
} else {
  $spiel = unserialize($_SESSION['ZT']);
}

if(isset($_POST['ende'])) {
  $_SESSION['spielende'] = $_POST['ende'];
}
if(!isset($_SESSION['spielende'])) {
  $_SESSION['spielende'] = 0;
}


?><!Doctype html>
<html>
  <head>
    <title>10000</title>
    <meta http-equiv="Content-Language" content="de">
		<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
		<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
    <link rel="stylesheet" type="text/css" href="10000_3.css">
    <script language="JavaScript" src="10000.js" type="text/javascript"></script>
  </head>
    <body>
      <!-- <div id="debugbutton">
        <a href="index.php?debug=<?php #echo $link; ?>">&nbsp;&nbsp;&nbsp;</a>
      </div> -->
      <div id="adminbutton">
        <a href="index.php?zmenue=<?php echo $zmenue; ?>">&nbsp;&nbsp;&nbsp;&nbsp;</a>
      </div>
        <div id="body">
          <div id="Logo">10000 - V<?php echo $VERSION; ?><br class="clear" /></div>
          <?php
          echo "<div id =\"menu\">\n";
            echo "<a href=\"index.php?reset=true\" >Neue Spieler</a> | ";
            echo "<a href=\"index.php?neu=true\" >Neues Spiel</a>\n";
          echo "</div>\n";

            echo "<div id =\"config\">\n";
              echo "<form action=\"index.php\" method=\"post\">";
              echo "<span class=\"headline\"><b>Spielende</b></span><br />\n";
              echo "<input class=\"auswahl1\" type=\"radio\" name=\"ende\" value=\"0\"";
              if($_SESSION['spielende'] == 0) echo " checked ";
              echo "><span class=\"text1\">sofort bei 10000.</span>\n<br />\n";
              echo "<input class=\"auswahl2\" type=\"radio\" name=\"ende\" value=\"1\"";
              if($_SESSION['spielende'] == 1) echo " checked ";
              echo "><span class=\"text2\">nach letztem Spieler</span><br />\n";
              echo "<input class=\"sauswahl\" type=\"submit\" name=\"submit\" value=\"OK\">\n";
            echo "</form>\n</div>\n";
            if (isset($_GET['delsql'])) {
              $spiel->delsql($_GET);
            }
            // if (isset($_POST['spieler_cookie'])) {
            //   $spiel->user_add_cookie($_POST);
            // }
            if (isset($_POST['spieler_laden'])) {
              $spiel->user_laden($_POST['spieler'],$_POST['farben']);
            }
            if (isset($_POST['zurueck'])) {
              $spiel->zurueck();
            }
            if (isset($_GET['neu']) and $_GET['neu'] == true) {
              $spiel->reset_werte();
            }
            if (isset($_POST['spieler_id'])) { # wenn Einzahlenwert übergeben wurde
              $spiel->add_werte($_POST['spieler_id'], $_POST['wert']);
            }
            if (isset($_POST['spieler_neu'])) { # wird ein neuer Spieler hinzugefügt?
              #echo $_POST['spielername'];
              $spiel->add_spieler($_POST['spielername'],$_POST['farben']);
            }
            if (isset($_POST['fertig'])) { # sind alle Spieler vorhanden?
              $spiel->spieler_fertig();
            }

            $spiel->game_start();
            // $spiel->debug($spiel);
            ?>
          <!-- body-div ende -->
        </div>
    <?php
    ?>
  </body>
</html>
<?php
// $spiel->debuggen();
$spiel->disconnect();
$_SESSION['ZT'] = serialize($spiel);
?>
